Debian Bug report logs - #349131
RM: libgnome-gnorba-perl -- RoQA; orphaned, obsolete, no rev-deps

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Adeodato Simó <adeodato-massbug-xlibs-dev@debian.org>

Date: Mon, 9 Jan 2006 02:12:53 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian QA Group <packages@qa.debian.org>:
Bug#347141; Package libgnome-gnorba-perl. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <adeodato-massbug-xlibs-dev@debian.org>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Adeodato Simó <adeodato-massbug-xlibs-dev@debian.org>
To: maintonly@bugs.debian.org
Subject: libgnome-gnorba-perl: FTBFS: build-depends on removed xlibs-dev
Date: Mon, 09 Jan 2006 02:38:06 +0100
Package: libgnome-gnorba-perl
Version: 0.1.0-2
Severity: serious

Hello,

  This is a serious bug filed against your package because it
  build-depends on xlibs-dev, which as announced in [1] a while ago, is
  no longer available in sid. This makes your package fail to build from
  source.

    [1] http://lists.debian.org/debian-devel-announce/2005/11/msg00022.html

  To fix this bug, you need to update your build-dependencies and
  substitute xlibs-dev for the list of individual X development
  libraries that your package needs to be built. You can find detailed
  information about how to do that in the DependsXlibsDev wiki page [2].

    [2] http://wiki.debian.org/DependsXlibsDev

  As indicated by the Release Team [3], the full transition from XFree86
  to Xorg is a release blocker for Etch, which means that Etch will not
  be released until this bug is fixed (or your package removed from
  testing). So, please, try to fix in a timely manner.

    [3] http://lists.debian.org/debian-devel-announce/2005/10/msg00004.html

  The number of affected packages by the xlibs-dev transition is huge,
  so if you feel like helping with patches or uploads, feel free to
  follow the instructions contained in the wiki page above. A list of
  affected packages can be found here [4].

    [4] http://people.debian.org/~adeodato/release-usertag/transition-xlibs-dev

  Finally, if there's a strong reason for which your package should not
  be NMUed, please note so in this bug report. Prospective NMUers will
  read your reasoning, and will decide if it's strong enough to delay
  their upload.

  Thanks for your collaboration!

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#347141; Package libgnome-gnorba-perl. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #10 received at 347141@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 347141@bugs.debian.org
Cc: debian-qa@lists.debian.org
Subject: Re: Let's remove libgnome-gnorba-perl!
Date: Fri, 20 Jan 2006 19:55:23 -0800
[Message part 1 (text/plain, inline)]
clone 347141 -1
reassign -1 ftp.debian.org
severity -1 normal
retitle -1 RM: libgnome-gnorba-perl -- RoQA; orphaned, obsolete, no rev-deps
thanks

On Sat, Jan 21, 2006 at 12:52:20AM +0100, Marc 'HE' Brockschmidt wrote:

> As a first step to a world without perl bindings for Gtk/Gnome 1.X, we
> should remove libgnome-gnorba-perl. No rdepends, no users, rc-buggy
> (xlibs-dev transition), no maintainer.

Yes, let's!

Hurray!
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Bug 347141 cloned as bug 349131. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `libgnome-gnorba-perl' to `ftp.debian.org'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adeodato Simó <adeodato-massbug-xlibs-dev@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 349131-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 349131-close@bugs.debian.org
Cc: libgnome-gnorba-perl@packages.debian.org, libgnome-gnorba-perl@packages.qa.debian.org
Subject: Bug#349131: fixed
Date: Sun, 22 Jan 2006 05:33:36 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libgnome-gnorba-perl |    0.1.0-2 | source, alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 349131@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 23:13:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:13:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.